OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
NIProperty Struct Reference

Representation of the data from a NewGRF property. More...

## Data Fields
const char * | name
| A (human readable) name for the property.
ptrdiff_t | offset
| Offset of the variable in the class.
byte | read_size
| Number of bytes (i.e. byte, word, dword etc)
byte | prop
| The number of the property.
byte | type

## Detailed Description

Representation of the data from a NewGRF property.

Definition at line 85 of file newgrf_debug_gui.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf_debug_gui.cpp